Package com.independentsoft.office.drawing

# Class SystemColor

java.lang.Object
com.independentsoft.office.drawing.ColorChoice
com.independentsoft.office.drawing.SystemColor

public class SystemColor extends ColorChoice
The Class SystemColor.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.drawing.ColorChoice

  `colorTransforms`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SystemColor()`
  Instantiates a new system color.
  `SystemColor​(InternalXMLStreamReader reader)`
  Instantiates a new system color.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SystemColor`
  `clone()`
  `String`
  `getLastColor()`
  Gets the last color.
  `SystemColorValue`
  `getValue()`
  Gets the value.
  `void`
  `setLastColor​(String lastColor)`
  Sets the last color.
  `void`
  `setValue​(SystemColorValue val)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.drawing.ColorChoice

  `getColorTransforms`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SystemColor

    public SystemColor()
    Instantiates a new system color.

  - ### SystemColor

    public SystemColor​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new system color.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public SystemColor clone()
    Specified by:
      `clone` in class `ColorChoice`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getValue

    public SystemColorValue getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(SystemColorValue val)
    Sets the value.
    Parameters:
      `val` - the new value

  - ### getLastColor

    public String getLastColor()
    Gets the last color.
    Returns:
      the last color

  - ### setLastColor

    public void setLastColor​(String lastColor)
    Sets the last color.
    Parameters:
      `lastColor` - the new last color